Skip to content

Update User Profile

PUT
/auth/profile
curl --request PUT \
--url https://example.com/auth/profile \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "surname": "example", "experience_level": "intern", "languages": [ "example" ], "company_name": "example" }'

Update profile fields: name, surname, company_name, experience_level, languages.

Media typeapplication/json
UpdateProfileRequest
object
name
Any of:
string
surname
Any of:
string
experience_level
Any of:
ExperienceLevel
string
Allowed values: intern junior mid senior lead expert
languages
Any of:
Array
company_name
Any of:
string

Successful Response

Media typeapplication/json
UserProfileResponse
object
user_id
required
User Id
string
email
required
Email
string
name
Any of:
string
surname
Any of:
string
global_tier
Any of:
string
experience_level
Any of:
string
languages
Any of:
Array
company_name
Any of:
string
email_verified
required
Email Verified
boolean
registration_completed
required
Registration Completed
boolean
password_expires_in_days
Any of:
integer
Examplegenerated
{
"user_id": "example",
"email": "example",
"name": "example",
"surname": "example",
"global_tier": "example",
"experience_level": "example",
"languages": [
"example"
],
"company_name": "example",
"email_verified": true,
"registration_completed": true,
"password_expires_in_days": 1
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}